unit UMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics,
  Controls, Forms, Dialogs, StdCtrls,
  TeEngine,  TeeSurfa, ExtCtrls,
  TeeProcs, Chart, TeeGDIPlus, TeeTools;

type
  TForm2 = class(TForm)
    Chart1: TChart;
    Series1: TSurfaceSeries;
    ChartTool1: TRotateTool;
    BDisplay: TButton;
    procedure BDisplayClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

procedure TForm2.BDisplayClick(Sender: TObject);
var i, j : integer;
    n : integer;
    r : double;
begin
  n := 10;
  Series1.Clear;
  for i := -n to n do
  begin
    for j := -n to n do
    begin
      r := sqrt(sqr(i)+sqr(j));
      if (r<=n) then
      begin
        if (r>4) then
        begin
         Series1.AddXYZ(i, Cos(2*pi*r/n), j);
        end;// else
         //Series1.AddXYZ(i, 0, j, '', clNone);
      end;{ else
         Series1.AddXYZ(i, 0, j, '', clNone);}
    end;
  end;
end;

end.
